libzypp 17.37.10

zypp::MediaConfigPrivate Class Reference

## Public Member Functions
| MediaConfigPrivate ()

## Public Attributes
Pathname | credentials_global_dir_path
Pathname | credentials_global_file_path
int | download_max_concurrent_connections
int | download_min_download_speed
int | download_max_download_speed
int | download_max_silent_tries
int | download_transfer_timeout
int | download_connect_timeout

## Detailed Description

Definition at line 19 of file mediaconfig.cc.

## Constructor & Destructor Documentation

## ◆ MediaConfigPrivate()

zypp::MediaConfigPrivate::MediaConfigPrivate | ( |  | ) |
| inline

Definition at line 22 of file mediaconfig.cc.

## Member Data Documentation

## ◆ credentials_global_dir_path

Pathname zypp::MediaConfigPrivate::credentials_global_dir_path

Definition at line 31 of file mediaconfig.cc.

## ◆ credentials_global_file_path

Pathname zypp::MediaConfigPrivate::credentials_global_file_path

Definition at line 32 of file mediaconfig.cc.

## ◆ download_max_concurrent_connections

int zypp::MediaConfigPrivate::download_max_concurrent_connections

Definition at line 34 of file mediaconfig.cc.

## ◆ download_min_download_speed

int zypp::MediaConfigPrivate::download_min_download_speed

Definition at line 35 of file mediaconfig.cc.

## ◆ download_max_download_speed

int zypp::MediaConfigPrivate::download_max_download_speed

Definition at line 36 of file mediaconfig.cc.

## ◆ download_max_silent_tries

int zypp::MediaConfigPrivate::download_max_silent_tries

Definition at line 37 of file mediaconfig.cc.

## ◆ download_transfer_timeout

int zypp::MediaConfigPrivate::download_transfer_timeout

Definition at line 38 of file mediaconfig.cc.

## ◆ download_connect_timeout

int zypp::MediaConfigPrivate::download_connect_timeout

Definition at line 39 of file mediaconfig.cc.

The documentation for this class was generated from the following file:

- zypp-media/mediaconfig.cc